summaryrefslogtreecommitdiff
path: root/source4/script/tests/win/wintest_functions.sh
diff options
context:
space:
mode:
Diffstat (limited to 'source4/script/tests/win/wintest_functions.sh')
-rwxr-xr-xsource4/script/tests/win/wintest_functions.sh25
1 files changed, 22 insertions, 3 deletions
diff --git a/source4/script/tests/win/wintest_functions.sh b/source4/script/tests/win/wintest_functions.sh
index 16f7c4041c..3c0a1dccac 100755
--- a/source4/script/tests/win/wintest_functions.sh
+++ b/source4/script/tests/win/wintest_functions.sh
@@ -29,7 +29,26 @@ remove_share_test()
restore_snapshot()
{
- echo -e $1
- vmrun revertToSnapshot "$VM_CFG_PATH"
- echo "Snapshot restored."
+ err_str=$1
+ VMX_PATH=$2
+
+ # Display the error that caused us to restore the snapshot.
+ echo -e $err_str
+
+ if [ -z $HOST_SERVER_NAME ]; then
+ # The vmware server is running locally.
+ vmrun revertToSnapshot "$VMX_PATH"
+ err_rtn=$?
+ else
+ vmrun -h $HOST_SERVER_NAME -P $HOST_SERVER_PORT \
+ -u $HOST_USERNAME -p $HOST_PASSWORD \
+ revertToSnapshot "$VMX_PATH"
+ err_rtn=$?
+ fi
+
+ if [ $err_rtn -eq 0 ]; then
+ echo "Snapshot restored."
+ else
+ echo "Error $err_rtn restoring snapshot!"
+ fi
}